> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Alias



## OpenAPI

````yaml Get /aliases/{idOrAlias}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /aliases/{idOrAlias}:
    get:
      tags:
        - aliases
      parameters:
        - schema:
            type: string
            minLength: 3
            example: example.appz.dev
          required: true
          name: idOrAlias
          in: path
      responses:
        '200':
          description: Retrieve the alias
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alias'
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
components:
  schemas:
    Alias:
      type: object
      properties:
        id:
          type: number
        teamId:
          type:
            - string
            - 'null'
        alias:
          type: string
        domain:
          type: string
        zoneId:
          type: string
        target:
          type: string
        redirect:
          type:
            - string
            - 'null'
        redirectStatusCode:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
        createdBy:
          type:
            - number
            - 'null'
        deploymentId:
          type: string
        projectId:
          type: string
      required:
        - id
        - teamId
        - alias
        - domain
        - zoneId
        - target
        - redirect
        - redirectStatusCode
        - createdAt
        - updatedAt
        - createdBy
        - deploymentId
        - projectId
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````